{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>
{% endblock %}



{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Masuk
        {% endblock %}
        {% block menuBar %}
            {#            <a class="text-primary">Dafter</a>#}
        {% endblock %}
    {% endembed %}

    <div id="content">
        {% for message in app.flashes('failed') %}
            <div class="alert-danger p-3">
                <p class="mb-0 f08 text-center">{{ message }}</p>
            </div>
        {% endfor %}

        {% for message in app.flashes('failed-email') %}
            <div class="alert-danger p-3">
                <p class="mb-0 f08 text-center">{{ message }}</p>
            </div>
        {% endfor %}

        {% for message in app.flashes('failed-password') %}
            <div class="alert-danger p-3">
                <p class="mb-0 f08 text-center">{{ message }}</p>
            </div>
        {% endfor %}
        <div class="container-fluid mt-4">
            <div class="mt-1 text-left w-100 ">


                <a id="btn-login-google" href="#"
                   class="d-flex align-items-center justify-content-center mt-5"
                   style="border-radius: 50px; padding: 0.8em 0.8em; border: 1px solid var(--primaryColor); box-shadow: 0 1px 4px var(--shadowColor1)">
                    <img src="{{ asset('images/common/icons/google.png') }}"
                         style="height: 2em;  margin-right: 1em; object-fit: cover">
                    <p id="btn-google" class="flex-grow-1 text-center font-weight-bold mb-0">Masuk Dengan Akun
                        Google</p>
                </a>
                <a id="btn-login-facebook" class="d-flex align-items-center justify-content-center mt-4"
                   style="border-radius: 50px; padding: 0.8em 0.8em; border: 1px solid var(--primaryColor); background-color: var(--primaryColor); box-shadow: 0 1px 4px var(--shadowColor1)">
                    <img src="{{ asset('images/common/icons/fb.png') }}"
                         style="height: 2em;  margin-right: 1em; object-fit: cover">
                    <p id="btn-facebook" class="flex-grow-1 text-center font-weight-bold mb-0 text-white">Masuk Dengan
                        Akun Facebook</p>
                </a>

                <p class="mt-5 font-weight-bold">Login dengan email</p>

                <form method="post">
                    <!-- to error: add class "has-danger" -->
                    <input type="hidden" name="_csrf_token"
                           value="{{ csrf_token('authenticate') }}"
                    >
                    <div class="form-group">
                        <label for="email">Email</label>
                        <input value="{{ last_email }}" type="email" class="form-control form-control-sm" name="email"
                               id="email" aria-describedby="emailHelp">
                    </div>
                    <div class="form-group">
                        <label for="password">Kata Sandi</label>
                        <a href="/forgot-password" style="float:right;font-size:12px;">Lupa Kata Sandi?</a>

                        <input type="password" name="password" class="form-control form-control-sm" id="password">
                    </div>
                    <button type="submit" class="btn btn-primary btn-block">Login</button>

                    <div class="sign-up">
                        Tidak punya akun? <a href="{{ path('daftar') }}">Daftar Sekarang</a>
                    </div>
                </form>
            </div>
            <p class="text-center mt-5">Dengan login, saya setuju <a href="https://teman-belajar.com/privacy-policy">Syarat
                    dan Ketentuan</a> beserta <a href="https://teman-belajar.com/syarat-dan-ketentuan">Kebijakan
                    Privasi</a>.</p>
        </div>
    </div>

    <div class="space-25h"></div>

{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script>
        async function getTokenFcm() {
            if ('serviceWorker' in navigator) {
            //     // if (!firebase.apps.length) {
            //     //     var firebaseConfig = {
            //     //         apiKey: "AIzaSyASzro8lPtYHw-9iTbMkVaQVHX3iDf3xXw",
            //     //         authDomain: "teman-belajar-mo-1564386173622.firebaseapp.com",
            //     //         databaseURL: "https://teman-belajar-mo-1564386173622.firebaseio.com",
            //     //         projectId: "teman-belajar-mo-1564386173622",
            //     //         storageBucket: "teman-belajar-mo-1564386173622.appspot.com",
            //     //         messagingSenderId: "183874983613",
            //     //         appId: "1:183874983613:web:e100f19094d2d3821389d4",
            //     //         measurementId: "G-5HXYFWHV8W"
            //     //     };
            //     //     firebase.initializeApp(firebaseConfig);
            //     // }
            //     // navigator.serviceWorker.register('/firebase-messaging-sw.js');
            //     // const messaging = firebase.messaging();
            //     // let permission = await Notification.requestPermission();
            //     // if (permission === 'granted') {
            //     //     return await messaging.getToken({vapidKey: "BNBxUJ7pzk0dpzWN5frBT9oi0Wf9iqcu0gw5BtwOwOPlNFDGjKNXAndeZ1k5uQ4ZI1RJwCyqdqIlNs5eN7uwyLQ"});
            //     // } else {
            //     //     return 'not_granted'
            //     // }
            //     const messaging = firebase.messaging();
                let permission = await Notification.requestPermission();
                if (permission === 'granted') {
                    // return await messaging.getToken({vapidKey: "BNBxUJ7pzk0dpzWN5frBT9oi0Wf9iqcu0gw5BtwOwOPlNFDGjKNXAndeZ1k5uQ4ZI1RJwCyqdqIlNs5eN7uwyLQ"});
                    // let oldToken = await messaging.getToken();
                    // await messaging.deleteToken(oldToken);
                    return await messaging.getToken();
                } else {
                    return 'not_granted'
                }
            }
        }
        $(document).ready(function () {
            $('#btn-login-google').on('click', async function (e) {
                e.preventDefault();
                let token = await getTokenFcm();
                window.location.href = '/connect/google?role=member&fcm=' + token + '&provider=google';
            });
            $('#btn-login-facebook').on('click', async function (e) {
                e.preventDefault();
                let token = await getTokenFcm();
                window.location.href = '/connect/facebook?role=member&fcm=' + token + '&provider=facebook';
            })
        });
    </script>


{% endblock %}